Loading...
Searching...
No Matches
Lomiri::DownloadManager::HttpError Class Reference

The HttpError represents an error that occurred during the download request. More...

`#include <error.h>`

Inheritance diagram for Lomiri::DownloadManager::HttpError:
Collaboration diagram for Lomiri::DownloadManager::HttpError:

## Public Member Functions

virtual | ~HttpError ()
int | code ()
QString | phrase ()
QString | errorString () override
Public Member Functions inherited from Lomiri::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Protected Member Functions

| HttpError (Transfers::Errors::HttpErrorStruct err, QObject *parent)
Protected Member Functions inherited from Lomiri::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Additional Inherited Members

Public Types inherited from Lomiri::DownloadManager::Error
enum | Type { Auth , DBus , Http , Network , Process , Hash }

## Detailed Description

The HttpError represents an error that occurred during the download request.

Since
  0.3

The HttpError represents an error that occurred during the download request and that is related to one of the known http 1.1 error codes.

Definition at line 254 of file error.h.

## Constructor & Destructor Documentation

## ~HttpError()

Lomiri::DownloadManager::HttpError::~HttpError | ( |  | ) |

virtual

Disposes of this error and frees any resources associated with it.

Definition at line 353 of file error.cpp.

## HttpError()

Lomiri::DownloadManager::HttpError::HttpError | ( | Transfers::Errors::HttpErrorStruct | err,
|  | QObject * | parent )

protected

Creates a new error from the provided http error struct.

Definition at line 348 of file error.cpp.

References Lomiri::DownloadManager::Error::Error(), and Lomiri::DownloadManager::Error::Http.

Referenced by code(), errorString(), and phrase().

Here is the call graph for this function:

## Member Function Documentation

## code()

int Lomiri::DownloadManager::HttpError::code | ( |  | ) |

/fn int code()

Returns the http error code, for example 404.

Definition at line 358 of file error.cpp.

References HttpError().

Here is the call graph for this function:

## errorString()

QString Lomiri::DownloadManager::HttpError::errorString | ( |  | ) |

override virtual

/fn QString errorString() override

Returns a string representation of the error.

Reimplemented from Lomiri::DownloadManager::Error.

Definition at line 370 of file error.cpp.

References HttpError().

Here is the call graph for this function:

## phrase()

QString Lomiri::DownloadManager::HttpError::phrase | ( |  | ) |

/fn QString phrase()

Returns a human readable reason for the http error.

Definition at line 364 of file error.cpp.

References HttpError().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- error.h
- error.cpp